Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 05-06-2015 18:10:11

Rick1_95
Membre
Distrib. : Debian "Jessie"/Ubuntu 14.04LTS
Noyau : Linux 3.16/Linux 3.13
(G)UI : Xfce/Unity
Inscription : 04-06-2015

[Résolu] apt-get update : message d'erreur

Bonjour  smile

en essayant d'installer flash pour iceweasel (je sais...flash, c'est le mal !!!  roll )

j'ai créé le fichier 10debian-backports-contrib.list, qui me semble être la cause de mes soucis avec apt, aptitude, synaptic :

 apt-get update
 

E: Le type «  » est inconnu sur la ligne 1 dans la liste des sources /etc/apt/sources.list.d/10debian-backports-contrib.list
E: La liste des sources ne peut être lue.



avec synaptic, j'ai le même type de message d'erreur :

E: Le type «  » est inconnu sur la ligne 1 dans la liste des sources /etc/apt/sources.list.d/10debian-backports-contrib.list
E: Impossible de lire la liste des sources.
Vous pouvez essayer de corriger le problème en ouvrant la fenêtre des dépôts.
E: _cache->open() failed, please report.



le texte du fichier incriminé :

cat /etc/apt/sources.list.d/10debian-backports-contrib.list
 

# jessie-backports-contrib
deb [url]http://http.debian.net/debian[/url] jessie-backports main



le contenu de mon fichier sources.list :

cat /etc/apt/sources.list
 


#
# deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150425-13:55]/ jessie main

deb cdrom:[Debian GNU/Linux 8 _Jessie_ - Official Snapshot amd64 LIVE/INSTALL Binary 20150425-13:55]/ jessie main

deb [url]http://ftp.fr.debian.org/debian/[/url] jessie main
deb-src [url]http://ftp.fr.debian.org/debian/[/url] jessie main

deb [url]http://security.debian.org/[/url] jessie/updates main
deb-src [url]http://security.debian.org/[/url] jessie/updates main

# jessie-updates, previously known as 'volatile'
deb [url]http://ftp.fr.debian.org/debian/[/url] jessie-updates main
deb-src [url]http://ftp.fr.debian.org/debian/[/url] jessie-updates main





Je n'arrive pas à virer ce fichier 10debian-backports-contrib.list...

rm 10debian-backports-contrib.list

rm: impossible de supprimer « 10debian-backports-contrib.list »: Aucun fichier ou dossier de ce type




Virer ce fichier 10debian-backports-contrib.list, serait-ce, dans un 1er temps, la solution ?

D'avance Merci pour votre Aide  cool

Dernière modification par Rick1_95 (06-06-2015 09:26:15)

Hors ligne

#2 05-06-2015 18:23:21

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [Résolu] apt-get update : message d'erreur

Bonjour

Tout d'abord, nous avons un super outils de coloration syntaxique qui marche comme ça smile Voir le tuto : Le code, ça pique moins les yeux en couleur


Ensuite, tu peux utiliser ce tuto pour avoir les bonnes adresses des dépôts. Attention, tu n'as pas ajouter les bonne sections pour installer flash smile


Et enfin, pour le supprimer comme tu souhaitais le faire, il faut  te placer dans le répertoire où il se trouve.

cd /etc/apt/sources.list.d
rm 10debian-backports-contrib.list


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#3 05-06-2015 18:41:45

Rick1_95
Membre
Distrib. : Debian "Jessie"/Ubuntu 14.04LTS
Noyau : Linux 3.16/Linux 3.13
(G)UI : Xfce/Unity
Inscription : 04-06-2015

Re : [Résolu] apt-get update : message d'erreur

@ bendia :

- la présentation est ok ?

Sinon, le fichier viré...situation débloquée pour apt, aptitude, synaptic...  cool

- ajouter les bonnes sections pour installer flash ? (je vais devoir m'y mettre...  tongue )

Dernière modification par Rick1_95 (05-06-2015 18:50:03)

Hors ligne

#4 05-06-2015 18:45:49

bendia
Admin stagiaire
Distrib. : Jessie
Noyau : 3.16.0-4-amd64
(G)UI : Gnome + XFCE + Console
Inscription : 20-03-2012
Site Web

Re : [Résolu] apt-get update : message d'erreur

Rick1_95 a écrit :

la présentation est ok ?

Là, je crois que c'est toi qui à le mieux présenté smile Tu peux même ajouter apt_sources partout où il s'agit de sources.list. Ca les colores comme tel smile

Rick1_95 a écrit :

ajouter les bonnes sections ? (je vais devoir m'y mettre...  tongue )

Regardes le tuto que je t'ai mis en lien, c'est tout bien expliqué smile Il faut ajouter contrib après main. Mais je ne suis pas certain que les backports soient nécessaires.


Ben
___________________
La seule question bête, c'est celle qu'on ne pose pas.
file-Re06858991f6f328b4907296ac5cea283

En ligne

#5 05-06-2015 18:56:05

Rick1_95
Membre
Distrib. : Debian "Jessie"/Ubuntu 14.04LTS
Noyau : Linux 3.16/Linux 3.13
(G)UI : Xfce/Unity
Inscription : 04-06-2015

Re : [Résolu] apt-get update : message d'erreur

bendia a écrit :

Regardes le tuto que je t'ai mis en lien, c'est tout bien expliqué smile Il faut ajouter contrib après main



ajouter contrib après main

voire contrib non-free ?


bendia a écrit :

Mais je ne suis pas certain que les backports soient nécessaires



...c'est ce que j'avais lu dans le wiki df que j'ai essayé d'appliquer...  wink

Hors ligne

#6 05-06-2015 19:17:02

Rick1_95
Membre
Distrib. : Debian "Jessie"/Ubuntu 14.04LTS
Noyau : Linux 3.16/Linux 3.13
(G)UI : Xfce/Unity
Inscription : 04-06-2015

Re : [Résolu] apt-get update : message d'erreur

...avant de virer un fichier...se placer dans le répertoire où il se trouve... 

= le B.A-BA...  roll

...y a du boulot !!!

(désolé pour ce énième post, je voulais simplement modifier un post au-dessus, mais j'ai dû cliquer sur "Citer"...  hmm )

Dernière modification par Rick1_95 (05-06-2015 19:20:49)

Hors ligne

#7 05-06-2015 19:31:41

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : [Résolu] apt-get update : message d'erreur

seule la section contrib est nécessaire pour flash.
Tu peux ajouter la section non-free, ça ne pose pas de pb.


Pas besoin des backports pour ça.

Hors ligne

Pied de page des forums